Subject: Re: System crash on boot_e500.S

From: Scott Wood <[email-masked]>
Date: Wed, 15 Aug 2007 15:57:53 -0500

mike zheng wrote:
> Unfortunately, all the applications are running on 2.4 kernel. I can not
> just throw the 2.4 kernel.

And in what way does 2.6 break these applications?

> I took the some core specific code from
> ppc.bkbits.net, such as head_e500.S and mpc85xx_cds_common.c. I assume the
> image should work on the 8548 CDS board, or at least for the bootup. I shall
> able to have the serial port working in platform_init(). However , the
> code stops in the head_e500.S. This does not make any sense. Please correct
> me if I am wrong.

Of course it makes sense -- you can't just go around ripping random 
files from a codebase, sticking them in a version from several years 
earlier, and expecting it to "just work".

> Any suggest or comment is welcome, I am struggling with this issue for
> almost one week...... :-(

How long would you have struggled with getting your applications running 
on a more recent kernel instead?

-Scott